Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000278 [Both Evo and DBA Classic] minor always 2013-04-19 12:50 2017-03-23 16:36
Reporter dwaldmann View Status public  
Assigned To JEMM
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0000278: CM-A does not save info from main form if other windows are called.
Description Create a new contact.
Enter name, address, terms, etc.
Before "Save", add a KD, CL, etc. IIRC, "Make Customer" also does it. May be others too.

All info on the main screen is deleted and the "contact" is saved. Not sure how, as you normally can't save a contact if they don't have terms.

If you exit and come back in, the CL and KD are still there, as they "should" be, since they are in a separate table and are saved as they are entered.
Additional Information This has been happening since the new CM was implemented (or, at least, since we started using it).
Tags No tags attached.
Enhancement Date 1365051600
Error Message
Program Name T7CMA.RWN
Repeatable in Test Company
Attached Files

- Relationships

-  Notes
(0000384)
ISTech (administrator)
2013-05-28 14:15

Please use maintain Database and look a the BKCMCUST file that pertains to your company and verify there are no blank lines in the file. If there are then please delete them and try duplicating the issue again.
(0000388)
ISTech (administrator)
2013-05-28 15:00

Duplicated issue using 4/04/13 SP1. Problem seems to happen when there is a blank line in the BKCMCUST file.
(0000393)
bethanyw (reporter)
2013-05-29 10:59

We don't have any blank lines in that file.
(0000582)
JEMM (developer)
2014-08-23 07:18

This problem seems to have been corrected in T7CMA with ISTS Enhancement date of 06/02/14.
(0000768)
dwaldmann (reporter)
2017-02-16 07:39

This is broken again.

First time I noticed it, we DID have a blank line in BKCMCUST. But then I deleted it and it is still happening.

However, it seems to now be limited to the "Contacts". What happens is that when you exit the Contacts screen the active field is "Account".

If you press Enter/Tab it clears the screen and takes you to Name.

(note - you CAN click Save or key Alt+S)

All the auxiliary files ARE saved, i.e. Dates, Classes, Follow Ups and Contacts.
(0000769)
ISTech2 (administrator)
2017-02-16 10:48

Not able to duplicate. Followed your example and when I exited the Contacts screen the Contacts button is the Active item still. Everything works as it should.
(0000770)
dwaldmann (reporter)
2017-02-16 10:57

Sorry - should have added more info after I did a little more testing. We always enter Key Dates and Classes. I did find that if you ONLY enter Contacts it doesn't happen. But if you first enter KD and Cl, then Contacts, then you have the problem.

Might be only KD OR Cl, didn't try just one, but definitely when doing both.
(0000771)
ISTech2 (administrator)
2017-02-16 11:25

Was able to confirm before you even enter Contacts. Only Entered the Classes and Key Date. Using 2017.1 all patches as of 2/16/17.
(0000792)
JEMM (developer)
2017-03-23 16:36

Fixed in T7CMA with ISTS Enhancement Date of 0323/17.

- Issue History
Date Modified Username Field Change
2013-04-19 12:50 dwaldmann New Issue
2013-04-19 12:50 dwaldmann Banner Date => 1365051600
2013-04-19 12:50 dwaldmann Program Name => T7CMA.RWN
2013-04-19 12:50 dwaldmann Issue Monitored: dwaldmann
2013-05-28 13:01 ISTech Assigned To => ISTech
2013-05-28 13:01 ISTech Status new => acknowledged
2013-05-28 14:15 ISTech Note Added: 0000384
2013-05-28 14:15 ISTech Status acknowledged => feedback
2013-05-28 14:58 ISTech Assigned To ISTech => JEMM
2013-05-28 14:58 ISTech Status feedback => assigned
2013-05-28 15:00 ISTech Note Added: 0000388
2013-05-29 10:59 bethanyw Note Added: 0000393
2013-05-29 11:00 bethanyw Issue Monitored: bethanyw
2013-10-24 08:42 PaulG Issue Monitored: PaulG
2014-08-23 07:18 JEMM Note Added: 0000582
2014-08-23 07:18 JEMM Status assigned => resolved
2014-08-23 07:18 JEMM Resolution open => fixed
2016-10-12 16:21 ISTech Status resolved => closed
2017-02-16 07:39 dwaldmann Note Added: 0000768
2017-02-16 07:39 dwaldmann Status closed => feedback
2017-02-16 07:39 dwaldmann Resolution fixed => reopened
2017-02-16 10:48 ISTech2 Note Added: 0000769
2017-02-16 10:54 ISTech2 Severity major => minor
2017-02-16 10:57 dwaldmann Note Added: 0000770
2017-02-16 11:25 ISTech2 Note Added: 0000771
2017-02-16 11:25 ISTech2 Status feedback => assigned
2017-03-23 16:36 JEMM Note Added: 0000792
2017-03-23 16:36 JEMM Status assigned => resolved
2017-03-23 16:36 JEMM Resolution reopened => fixed


Mantis 1.1.2[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker